// Code generated by github.com/atombender/go-jsonschema, DO NOT EDIT.

package frames

import "fmt"
import "encoding/json"

// Status returned by rotator.
type RotatorStatusSchemaJson struct {
	// Status returned by rotator.
	Status int `json:"status" yaml:"status" mapstructure:"status"`
}

// UnmarshalJSON implements json.Unmarshaler.
func (j *RotatorStatusSchemaJson) UnmarshalJSON(b []byte) error {
	var raw map[string]interface{}
	if err := json.Unmarshal(b, &raw); err != nil {
		return err
	}
	if v, ok := raw["status"]; !ok || v == nil {
		return fmt.Errorf("field status in RotatorStatusSchemaJson: required")
	}
	type Plain RotatorStatusSchemaJson
	var plain Plain
	if err := json.Unmarshal(b, &plain); err != nil {
		return err
	}
	*j = RotatorStatusSchemaJson(plain)
	return nil
}
